#include <stdio.h>
#include <stdlib.h>
#include <string.h>




int main(int argc, char *argv[]){
	unsigned char *src;
	int size;


	if(2 > argc){
		exit(0);
	}


	{
		FILE *fp;
		fp = fopen(argv[1], "rb");
		if(NULL == fp){
			exit(1);
		}
		fseek(fp, 0, SEEK_END);
		size = ftell(fp);
		src = (unsigned char*)malloc(size);
		if(NULL == src){
			fclose(fp);
			exit(1);
		}
		fseek(fp, 0, SEEK_SET);
		fread(src, 1, size, fp);
		fclose(fp);
	}


	{
		int ofs;
		int t_size;
		char t_name[32];
		FILE *fp;
		int k;

		k = 0;
		ofs = 0;
		while(size > ofs){
			k += 1;

			if(0 != memcmp((src + ofs), "CX\0\0", 4)){
				break;
			}
			t_size = ((src[ofs + 6] | (src[ofs + 7] << 8)) + 10);

			sprintf(t_name, "_%02d.dat", k);
			fp = fopen(t_name, "wb");
			fwrite((src + ofs), 1, t_size, fp);
			fclose(fp);

			ofs += t_size;
		}
	}


	free(src);

	exit(0);
}
