#include <stdio.h>
#include <stdlib.h>
#include <string.h>





static unsigned int get_word(unsigned char *p){
	unsigned int t;
	t = p[1];
	t = ((t << 8) | p[0]);
	return t;
}

static unsigned long get_dword(unsigned char *p){
	unsigned long t;
	t = p[3];
	t = ((t << 8) | p[2]);
	t = ((t << 8) | p[1]);
	t = ((t << 8) | p[0]);
	return t;
}




int main(int argc, char *argv[]){
	unsigned char *src;
	long size;

	if(2 > argc){
		exit(0);
	}

	{
		FILE *fp;
		fp = fopen(argv[1], "rb");
		if(NULL == fp){
			printf("%s ݂͑܂\n", argv[1]);
			exit(1);
		}
		fseek(fp, 0, SEEK_END);
		size = ftell(fp);
		src = malloc(size);
		if(NULL == src){
			fclose(fp);
			puts("mۂł܂ł");
			exit(1);
		}
		fseek(fp, 0, SEEK_SET);
		fread(src, 1, size, fp);
		fclose(fp);
	}


	if(get_word(src + 0x0e) == ((get_word(src) * 16) + 2)){
		int num;
		char *name_ptr;
		long t_ofs, t_size;
		char t_name[16];
		char *p;
		FILE *fp;

		num = get_word(src);
		name_ptr = (src + 2);

		num -= 1;
		while(0 < num){
			t_name[0] = '\0';
			strncat(t_name, name_ptr, 8);
			p = strchr(t_name, ' ');
			if(NULL != p){
				p[0] = '\0';
			}
			strcat(t_name, ".");
			strncat(t_name, (name_ptr + 8), 3);
			p = strchr(t_name, ' ');
			if(NULL != p){
				p[0] = '\0';
			}

			t_ofs = get_dword(name_ptr + 0x0c);
			t_size = (get_dword(name_ptr + 0x1c) - t_ofs);

			fp = fopen(t_name, "wb");
			fwrite((src + t_ofs), 1, t_size, fp);
			fclose(fp);

			name_ptr += 16;
			num -= 1;
		}

	}
	else{
		int num;
		char *ofs_ptr, *name_ptr;
		long t_ofs, t_size;
		char t_name[16];
		char *p;
		FILE *fp;

		num = get_word(src + 2);
		ofs_ptr = (src + 4);
		name_ptr = (ofs_ptr + (8 * num));

		num -= 1;
		while(0 < num){
			t_name[0] = '\0';
			strncat(t_name, name_ptr, 8);
			p = strchr(t_name, ' ');
			if(NULL != p){
				p[0] = '\0';
			}
			strcat(t_name, ".");
			strncat(t_name, (name_ptr + 8), 3);
			p = strchr(t_name, ' ');
			if(NULL != p){
				p[0] = '\0';
			}

			t_ofs = get_dword(ofs_ptr + 4);
			t_size = get_dword(name_ptr + 12);

			fp = fopen(t_name, "wb");
			fwrite((src + t_ofs), 1, t_size, fp);
			fclose(fp);

			ofs_ptr += 8;
			name_ptr += 16;
			num -= 1;
		}

	}


	free(src);

	exit(0);
}
